API Reference for Marketo Engage

Create File

POST /rest/asset/v1/files.json

Creates a new file from the included payload.

Operation ID
createFileUsingPOST
Permissions
Read-Write Assets
Request format
multipart/form-data
Returns
ResponseOfFileResponse

Request body

multipart/form-data · required · CreateFileRequest · 7 properties

Sent as multipart form fields, one part per property. Upload fields take a file.

description string

Description of the asset

file string required

Multipart file. Content of the file.

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

insertOnly boolean

Whether the calls hould fail if there is already an existing file with the same name

name string required

Name of the File

Responses

200 OK ResponseOfFileResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of FileResponse

Model FileResponse

createdAt string (date-time) required

Datetime when the file was created

description string

Description of the file

folder FileFolder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model FileFolder

id integer (int32)
name string
type string
id integer (int32) required

Id of the file

mimeType string required

MIME type of the file

name string required

Name of the file

size integer (int32) required

Size of the file in bytes

updatedAt string (date-time) required

Datetime when the file was most recently updated

url string required

Publically accessible URL of the file

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "folder": {
        "id": 123,
        "name": "Example name",
        "type": "string"
      },
      "id": 123,
      "mimeType": "string",
      "name": "Example name",
      "size": 123,
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results